Status List Configuration
Create a Status List configuration
Creates a Status list configuration, which defines a status list validity periods. mDocs can then be assigned to a specific Status list configuration.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>The Status list configuration payload
application/json- body
docType*stringStatus list configurations are unique per docType on your tenant. This value must match the type set when creating an mDoc credential configuration.
1 <= length <= 1024timeToLiveDuration*Defines how long relying parties can cache Status list tokens of this docType before it is recommended to retrieve a new Status list token from the tenant. Cannot exceed expiryDuration.
expiryDuration*Defines how long relying parties can cache Status list tokens of this docType before they expire. Once a Status list token expires, relying parties can no longer use it to check credentials status and must retrieve a new one from the tenant. Regardless of the value of this parameter, Status list tokens expiry cannot exceed the validity of the IACA that is used to sign the Status list token.
Status list configuration created
application/json- response
id*stringUniquely identifies the created Status list configuration.
uuiddocType*stringThe unique docType the created Status list configuration is associated with.
timeToLiveDuration*Defines how long relying parties can cache Status list tokens of this docType before it is recommended to retrieve a new Status list token from the tenant. Cannot exceed expiryDuration.
expiryDuration*Defines how long relying parties can cache Status list tokens of this docType before they expire. Once a Status list token expires, relying parties can no longer use it to check credentials status and must retrieve a new one from the tenant. Regardless of the value of this parameter, Status list tokens expiry cannot exceed the validity of the IACA that is used to sign the Status list token.
curl -X POST "https://example.com/v2/credentials/mobile/status-lists/configurations" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "983c0a86-204f-4431-9371-f5a22e506599", "docType": "Drivers License", "timeToLiveDuration": { "days": 1 }, "expiryDuration": { "days": 2 }}Retrieve all Status List configurations
Retrieves all Status list configurations from your tenant.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>limit?numberRange size of returned list.
1 <= value <= 1000100cursor?stringStarting point for the list of entries.
Status list configurations retrieved
application/json- response
nextCursor?stringStarting point for next cursor to use in a page
data?array<>curl -X GET "https://example.com/v2/credentials/mobile/status-lists/configurations"{ "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM", "data": [ { "id": "983c0a86-204f-4431-9371-f5a22e506599", "docType": "Drivers License", "timeToLiveDuration": { "days": 1 }, "expiryDuration": { "days": 2 } } ]}Retrieve a Status List configuration
Retrieves an existing Status list configuration by providing its ID.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>statusListConfigurationId*stringStatus list configuration ID
uuidStatus list configuration retrieved
application/json- response
docType?stringStatus list configurations are unique per docType on your tenant. This value must match the type set when creating an mDoc credential configuration.
1 <= length <= 1024timeToLiveDuration?Defines how long relying parties can cache Status list tokens of this docType before it is recommended to retrieve a new Status list token from the tenant. Cannot exceed expiryDuration.
expiryDuration?Defines how long relying parties can cache Status list tokens of this docType before they expire. Once a Status list token expires, relying parties can no longer use it to check credentials status and must retrieve a new one from the tenant. Regardless of the value of this parameter, Status list tokens expiry cannot exceed the validity of the IACA that is used to sign the Status list token.
curl -X GET "https://example.com/v2/credentials/mobile/status-lists/configurations/3948c40e-6e19-4ffc-933c-91f643f24264"{ "docType": "DriverLicense", "timeToLiveDuration": { "days": 1 }, "expiryDuration": { "days": 2 }}Update a Status List configuration
Updates an existing Status list configuration, allowing you to adjust the expiry and TTL (Time To Live) settings.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>statusListConfigurationId*stringStatus list configuration ID
uuidThe Status list configuration payload
body*StatusListConfigurationUpdateRequestapplication/jsonStatus list configuration updated
application/json- response
id*stringUniquely identifies the created Status list configuration.
uuiddocType*stringThe unique docType the created Status list configuration is associated with.
timeToLiveDuration*Defines how long relying parties can cache Status list tokens of this docType before it is recommended to retrieve a new Status list token from the tenant. Cannot exceed expiryDuration.
expiryDuration*Defines how long relying parties can cache Status list tokens of this docType before they expire. Once a Status list token expires, relying parties can no longer use it to check credentials status and must retrieve a new one from the tenant. Regardless of the value of this parameter, Status list tokens expiry cannot exceed the validity of the IACA that is used to sign the Status list token.
curl -X PUT "https://example.com/v2/credentials/mobile/status-lists/configurations/3948c40e-6e19-4ffc-933c-91f643f24264" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "983c0a86-204f-4431-9371-f5a22e506599", "docType": "Drivers License", "timeToLiveDuration": { "days": 1 }, "expiryDuration": { "days": 2 }}Delete a Status List configuration
Permanently deletes an existing Status list configuration.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>statusListConfigurationId*stringStatus list configuration ID
uuidStatus list configuration deleted
curl -X DELETE "https://example.com/v2/credentials/mobile/status-lists/configurations/3948c40e-6e19-4ffc-933c-91f643f24264"How would you rate this page?
Last updated on